<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="Models\" />
    <AvaloniaResource Include="Assets\**" />
  </ItemGroup>

  <ItemGroup>
    <AvaloniaResource Include="Assets/Fonts/Helvetica.ttf" />
  </ItemGroup>
  
  <ItemGroup>
    <None Remove="Assets\AdminGraph.png" />
    <None Remove="Assets\AdminMachine.png" />
    <None Remove="Assets\bluePlug.png" />
    <None Remove="Assets\errorIcon.png" />
    <None Remove="Assets\Fonts\Helvetica.ttf" />
    <None Remove="Assets\greenPlug.png" />
    <None Remove="Assets\Home.png" />
    <None Remove="Assets\homeTrack.png" />
    <None Remove="Assets\icons8-green-circle-48.png" />
    <None Remove="Assets\icons8-red-circle-48.png" />
    <None Remove="Assets\LeftArrow.png" />
    <None Remove="Assets\LineDots.png" />
    <None Remove="Assets\Logo.png" />
    <None Remove="Assets\Machine.png" />
    <None Remove="Assets\Manual.png" />
    <None Remove="Assets\orangePlug.png" />
    <None Remove="Assets\Plus.png" />
    <None Remove="Assets\purplePlug.png" />
    <None Remove="Assets\redPlug.png" />
    <None Remove="Assets\Settings.png" />
    <None Remove="Assets\TemperingGraphics.png" />
    <None Remove="Assets\TemperingMachine.png" />
    <None Remove="Assets\UpArrow.png" />
    <None Remove="Assets\warningIcon.png" />
    <None Remove="Assets\wifi.png" />
    <None Remove="Assets\wifioff.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Avalonia" Version="11.2.1" />
    <PackageReference Include="Avalonia.Desktop" Version="11.2.1" />
    <PackageReference Include="Avalonia.Themes.Fluent" Version="11.2.1" />
    <PackageReference Include="Avalonia.Fonts.Inter" Version="11.2.1" />
    <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
    <PackageReference Include="Avalonia.Diagnostics" Version="11.2.1">
      <IncludeAssets Condition="'$(Configuration)' != 'Debug'">None</IncludeAssets>
      <PrivateAssets Condition="'$(Configuration)' != 'Debug'">All</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Avalonia.ReactiveUI" Version="11.2.1" />
    <PackageReference Include="System.IO.Ports" Version="9.0.2" />
    <PackageReference Include="System.Management" Version="9.0.3" />
  </ItemGroup>

  <ItemGroup>
    <UpToDateCheckInput Remove="Views\UserController\Settings.axaml" />
  </ItemGroup>

  <ItemGroup>
    <UpToDateCheckInput Remove="Views\UserController\RecipeEdit.axaml" />
  </ItemGroup>

  <ItemGroup>
    <UpToDateCheckInput Remove="Views\UserController\Admin.axaml" />
  </ItemGroup>
</Project>
